Plastic3DLookAndFeel (JGoodies Looks 2.6 API)
Date: 2014-02-27

com.jgoodies.looks.plastic

## Class Plastic3DLookAndFeel

- java.lang.Object
- - javax.swing.LookAndFeel
  - - javax.swing.plaf.basic.BasicLookAndFeel
    - - javax.swing.plaf.metal.MetalLookAndFeel
      - - com.jgoodies.looks.plastic.PlasticLookAndFeel
        - - com.jgoodies.looks.plastic.Plastic3DLookAndFeel

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    PlasticXPLookAndFeel

      public class Plastic3DLookAndFeel
      extends PlasticLookAndFeel

  Intializes class and component defaults for the JGoodies Plastic3D look&feel.
  Version:
    $Revision: 1.10 $
  Author:
    Karsten Lentzsch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.jgoodies.looks.plastic.PlasticLookAndFeel

      `BORDER_STYLE_KEY, DEFAULT_THEME_KEY, HIGH_CONTRAST_FOCUS_ENABLED_KEY, IS_3D_KEY, TAB_STYLE_DEFAULT_VALUE, TAB_STYLE_KEY, TAB_STYLE_METAL_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Plastic3DLookAndFeel()` Constructs the JGoodies Plastic3D look&feel.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getID()`
    `String` | `getName()`
    `protected void` | `initComponentDefaults(UIDefaults table)` Initializes the Plastic3D component defaults.
    `protected boolean` | `is3DEnabled()`

    - ### Methods inherited from class com.jgoodies.looks.plastic.PlasticLookAndFeel

      `createMyDefaultTheme, createTheme, getControl, getControlDarkShadow, getControlHighlight, getDisabledIcon, getFocusColor, getFontPolicy, getHighContrastFocusColorsEnabled, getInstalledThemes, getInternalFrameBorder, getMenuItemBackground, getMenuItemSelectedBackground, getMenuItemSelectedForeground, getMicroLayoutPolicy, getPaletteBorder, getPlasticTheme, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getTabStyle, getTitleTextColor, getTitleTextFont, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground, initClassDefaults, initialize, initSystemColorDefaults, installDefaultThemes, installTheme, isSelectTextOnKeyboardFocusGained, set3DEnabled, setFontPolicy, setHighContrastFocusColorsEnabled, setMicroLayoutPolicy, setPlasticTheme, setSelectTextOnKeyboardFocusGained, setTabStyle, uninitialize`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalLookAndFeel

      `createDefaultTheme, getAcceleratorForeground, getAcceleratorSelectedForeground, getBlack, getControlDisabled, getControlInfo, getControlShadow, getControlTextColor, getControlTextFont, getCurrentTheme, getDefaults, getDesktopColor, getDisabledSelectedIcon, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getLayoutStyle, getMenuBackground, getMenuDisabledForeground, getMenuForeground, getMenuSelectedBackground, getMenuSelectedForeground, getMenuTextFont, getSeparatorBackground, getSeparatorForeground, getSubTextFont, getSupportsWindowDecorations, getSystemTextColor, getSystemTextFont, getTextHighlightColor, getUserTextColor, getUserTextFont, getWhite, getWindowBackground, getWindowTitleFont, isNativeLookAndFeel, isSupportedLookAndFeel, provideErrorFeedback, setCurrentTheme`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicLookAndFeel

      `createAudioAction, getAudioActionMap, loadSystemColors, playSound`

    - ### Methods inherited from class javax.swing.LookAndFeel

      `getDesktopPropertyValue, installBorder, installColors, installColorsAndFont, installProperty, loadKeyBindings, makeComponentInputMap, makeIcon, makeInputMap, makeKeyBindings, toString, uninstallBorder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Plastic3DLookAndFeel

          public Plastic3DLookAndFeel()

      Constructs the JGoodies Plastic3D look&feel.

  - ### Method Detail

    - #### getID

          public String getID()

      Overrides:
        `getID` in class `PlasticLookAndFeel`

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `PlasticLookAndFeel`

    - #### getDescription

          public String getDescription()

      Overrides:
        `getDescription` in class `PlasticLookAndFeel`

    - #### is3DEnabled

          protected boolean is3DEnabled()

      Overrides:
        `is3DEnabled` in class `PlasticLookAndFeel`

    - #### initComponentDefaults

          protected void initComponentDefaults(UIDefaults table)

      Initializes the Plastic3D component defaults.
      Overrides:
        `initComponentDefaults` in class `PlasticLookAndFeel`
      Parameters:
        `table` - the UIDefaults table to work with

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.